Bug 446869 - The umask of the installation log files makes them world readable
The umask of the installation log files makes them world readable
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-05-16 10:54 EDT by Martin Nagy
Modified: 2016-07-26 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Set the umask to 077 (1.96 KB, patch)
2008-05-21 04:37 EDT, Martin Nagy
no flags Details | Diff

  None (edit)
Description Martin Nagy 2008-05-16 10:54:09 EDT
Description of problem:
The log files produced by ipa-server-install are world readable.

Version-Release number of selected component (if applicable):
Latest git version: 6119f83799a70738170e19f3e2d833fdf4ecbc86

How reproducible:
Use ipa-server-install and check out /var/log/

Steps to Reproduce:
1. ipa-server-install
2. ls -la /var/log/ipaclient-install.log
  
Actual results:
-rw-r--r-- 1 root root 42157 2008-05-16 16:32 /var/log/ipaserver-install.log

Expected results:
-rw------- 1 root root 42157 2008-05-16 16:32 /var/log/ipaserver-install.log

Additional info:
This bug is probably also applicable to other components, but I'm not entirely
sure which ones.
Comment 1 Martin Nagy 2008-05-21 04:37:28 EDT
Created attachment 306224 [details]
Set the umask to 077

ipa-1-0: df44154521e62b1eca33cdd654f26ea08a9daf2f
master: 2f69e7e18d2ae41125cf5b3b80e334cd9d88a84a
Comment 2 Yi Zhang 2008-05-23 17:18:25 EDT
QA Verified on May 23, 2008 (Yi)

Build used: May 23, 2008 (x64)

Test as below:
--> after ipa-server-install success
ipaserver[05/23/08 14:05] ls -al /var/log/ipaserver-install.log 
-rw------- 1 root root 40095 May 23 14:05 /var/log/ipaserver-install.log

Note You need to log in before you can comment on or make changes to this bug.